package com.qmth.teachcloud.task.job.service;

import java.io.IOException;

/**
 * @Description: job service
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/3/31
 */
public interface JobService {

    /**
     * 同步学校信息
     */
    void updateSchoolInfo() throws IOException;

    /**
     * 更新印刷计划状态
     */
    void updatePrintPlan();

    /**
     * 重新生成pdf失败任务
     *
     * @throws IOException
     */
    void resetCreatePdfTask() throws IOException;

    /**
     * 发送即将到期数据
     */
    void sendSmsExpireTask();

    /**
     * 发送逾期数据
     */
    void sendSmsOverdueTask();

    /**
     * 重发失败短信
     */
    void resendSmsTask();

    /**
     * 组装job
     *
     * @param redisKey
     */
    public void assembleJob(String redisKey);

    /**
     * 同步数据到云阅卷
     */
    void syncData();

    /**
     * 机器心跳
     */
    void machineHeart();

    void autoPushUserErrorData() throws IllegalAccessException;

    void needPushAgain() throws IllegalAccessException;
}
